# LClosure Struct Reference

`#include <lua/lobject.h>`

Collaboration diagram for LClosure:
[legend]

## Data Fields

| ClosureHeader
struct Proto * | p
UpVal * | upvals [1]

## Detailed Description

Definition at line 302 of file lobject.h.

## Field Documentation

LClosure::ClosureHeader

Definition at line 303 of file lobject.h.

struct Proto* LClosure::p

Definition at line 304 of file lobject.h.

Referenced by aux_upvalue(), collectvalidlines(), f_parser(), funcinfo(), luaD_precall(), luaV_execute(), and traverseclosure().

UpVal* LClosure::upvals[1]

Definition at line 305 of file lobject.h.

Referenced by aux_upvalue(), f_parser(), luaF_newLclosure(), luaV_execute(), and traverseclosure().

The documentation for this struct was generated from the following file:

- lua/lobject.h